Metaclass subclass:#AutoloadMetaclass
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Classes'
!

!AutoloadMetaclass class methodsFor:'documentation'!

documentation
"
    AutoloadMetaclass catches unhandled class methods, files in 
    the corresponding code when first used and resends the catched
    message to the now existing class.

    Autoload installs AutoloadMetaclass as its metaclass in #initialize. 

    [author:]
        Stefan Vogel

    [see also:]
        Autoload
"
! !

!AutoloadMetaclass methodsFor:'message catching'!

doesNotUnderstand:aMessage
    "caught a message; load the class and retry the message"

    |newClass|

    self ~~ AutoloadMetaclass ifTrue:[
        newClass := myClass autoload.
        newClass notNil ifTrue:[
            ^ newClass class perform:(aMessage selector)
                             withArguments:(aMessage arguments)
        ]
    ].
    ^ super doesNotUnderstand:aMessage


    "
     Autoload xxx

     VisualPart unload.
     VisualPart xxx

     VisualPart unload.
     VisualPart defaultFont
    "

    "Modified: / 3.8.1999 / 13:57:05 / stefan"
! !

!AutoloadMetaclass class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/AutoloadMetaclass.st,v 1.1 1999-08-03 12:09:42 stefan Exp $'
! !
