"
 COPYRIGHT (c) 1999 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


Exception subclass:#Notification
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions'
!

!Notification class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1999 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

!

documentation
"    
    Notification is an abstract superclass of all notification 
    exceptions in the system

    [author:]
        Stefan Vogel

    [see also:]
        Signal
"
!

examples
"
                                                            [exBegin]
    Notification raiseRequest
                                                            [exEnd]
"

! !

!Notification class methodsFor:'initialization'!

initialize

    NotifierString := 'Notification'.

    "
     self initialize
    "

    "Created: / 23.7.1999 / 15:31:44 / stefan"
! !

!Notification methodsFor:'default actions'!

defaultAction
    "Default action for notifications: open a info box with errorString"

    |text|

    text := self errorString.

    (Smalltalk isInitialized and:[Dialog notNil]) ifTrue:[
        Dialog notify:text.
    ] ifFalse:[
        "
         on systems without GUI, simply show
         the message on the Transcript.
        "
        Transcript showCR:text.
    ].
    self proceed.


    "
      Notification raiseRequestWith:self errorString:' abc'
    "

    "Modified: / 3.8.1999 / 14:06:55 / stefan"
! !

!Notification class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/Notification.st,v 1.5 1999-08-04 14:12:07 stefan Exp $'
! !
Notification initialize!
